"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const findOne = async ({
  executeStatement,
  escapeId,
  escape,
  tablePrefix,
  searchToWhereExpression,
  makeNestedPath,
  convertResultRow,
  schemaName
}, readModelName, tableName, searchExpression, fieldList) => {
  const searchExpr = searchToWhereExpression(searchExpression, escapeId, escape, makeNestedPath);
  const inlineSearchExpr = searchExpr.trim() !== '' ? `WHERE ${searchExpr} ` : '';
  const rows = await executeStatement(`SELECT * FROM ${escapeId(schemaName)}.${escapeId(`${tablePrefix}${tableName}`)}
    ${inlineSearchExpr}
    OFFSET 0
    LIMIT 1;`);

  if (Array.isArray(rows) && rows.length > 0) {
    return convertResultRow(rows[0], fieldList);
  }

  return null;
};

var _default = findOne;
exports.default = _default;
//# sourceMappingURL=find-one.js.map